%define api_version 2.2
%define lib_major	7
%define lib_name	%mklibname soup- %{api_version} %{lib_major}

Summary: SOAP (Simple Object Access Protocol) implementation
Name: libsoup
Version: 2.2.3
%define subrel	1
Release: %mkrel 3
License: GPL/LGPL
Group: System/Libraries
URL: http://www.gnome.org/
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (gb) fix built-in libtool 1.5, don't bother with new and different aclocal versions
Patch0: libsoup-2.2.1-libtool.patch.bz2
Patch1:	libsoup-2.2.3-CVE-2006-5876.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: glib2-devel
BuildRequires: gnutls-devel
BuildRequires: gtk-doc
BuildRequires: libxml2-devel

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package -n %{lib_name}
Summary:        Libraries for soup
Group:          System/Libraries

%description -n %{lib_name}
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.

%package -n %{lib_name}-devel
Summary:        Development libraries, header files and utilities for soup
Group:          Development/GNOME and GTK+
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	glib2-devel

%description -n %{lib_name}-devel
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.

%prep
%setup -q
%patch0 -p1 -b .libtool
%patch1 -p1 -b .cve-2006-5876
autoconf

%build
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,-)
%doc README COPYING ChangeLog TODO AUTHORS
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Thu Jan 25 2007 Stew Benedict <sbenedict@mandriva.com> 2.2.3-2.1.20060mdk
- P1: security fix for CVE-2006-5876

* Mon Aug 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-2mdk 
- Rebuild

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-1mdk 
- Release 2.2.3 (based on Gtz Waschk)

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2-1mdk 
- Release 2.2.2

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2.1-3mdk
- nuke lib64 rpaths

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-2mdk 
- Rebuild with latest gnutls

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- New release 2.2.1
- Remove patch0 (merged upstream)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Change major

* Sun Aug 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.13-1mdk
- new major
- New release 2.1.13

* Tue Jul 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.12-1mdk
- New release 2.1.12

* Fri Jun  4 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.11-1mdk
- New release 2.1.11

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 2.1.10-2mdk
- __libtoolize can be removed now

* Fri May 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.10-1mdk
- New release 2.1.10

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.9-1mdk
- New release 2.1.9

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.28-1mdk
- Release 1.99.28

* Wed Sep 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.26-1mdk
- Release 1.99.26

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.23-2mdk
- Rebuild for latest provides

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.23-1mdk
- Release 1.99.23

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.22-1mdk
- Release 1.99.22
- Fix lib major (I screw it last time..)

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.20-1mdk
- Release 1.99.20

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.17-1mdk
- Release 1.99.17 (GNOME2 version)

* Fri Feb  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.11-1mdk
- Release 0.7.11

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-2mdk
- Rebuild against latest openssl

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Release 0.7.10

* Thu Nov 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.9-1mdk
- Release 0.7.9

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-1mdk
- Initial Mandrake package


